For the complete documentation index, see llms.txt. This page is also available as Markdown.

Versicherungsinformationen

Die Endpunkte zum Abruf der versicherungsrelevanten Informationen finden Sie in den Katalogen.

Versicherungsverträge lesen

Version 1.2


get
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Abfrageparameter
apiKeystringOptional
limitinteger · int32OptionalExample: 20
offsetinteger · int32Optional
idinteger · int32Optional
idNumstringOptional
insurerIdinteger · int32Optional
economicUnitIdinteger · int32Optional
validFromstring · date-timeOptional
validTostring · date-timeOptional
showNullValuesbooleanOptionalDefault: false
Antworten
200

OK

Idinteger · int32Optional
IdNumstring · nullableOptional
Codestring · nullableOptional
NodeIdinteger · int32Optional
ValidFromstring · date-timeOptional
ValidTostring · date-timeOptional
get/openwowi/v1.2/CommissioningRead/InsuranceContract
GET /openwowi/v1.2/CommissioningRead/InsuranceContract HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "Id": 1,
    "IdNum": "text",
    "Code": "text",
    "NodeId": 1,
    "ValidFrom": "2026-01-01T00:00:00.000Z",
    "ValidTo": "2026-01-01T00:00:00.000Z",
    "Insurer": {
      "Id": 1,
      "Name": "text"
    },
    "AssignedCommissioningInsuranceDamageDivision": [
      {
        "Id": 1,
        "IdNum": "text",
        "DivisionDamage": "text"
      }
    ],
    "AssignedEconomicUnits": [
      {
        "Id": 1,
        "IdNum": "text",
        "Name": "text",
        "Location": "text"
      }
    ]
  }
]

Versicherungsverträge anlegen/ ändern

Version 1.2


post
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Abfrageparameter
apiKeystringErforderlich
Body
IdNumstring · nullableOptional
NodeIdinteger · int32Optional
Codestring · nullableOptional
InsurerIdinteger · int32Optional
ValidFromstring · dateOptionalExample: 2025-10-20Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
ValidTostring · date · nullableOptionalExample: 2025-10-20Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
AssignedCommissioningInsuranceDamageDivisionsinteger · int32[] · nullableOptional
AssignedEconomicUnitsinteger · int32[] · nullableOptional
Antworten
201

Created

Idinteger · int32Optional
IdNumstring · nullableOptional
post/openwowi/v1.2/CommissioningEdit/InsuranceContract
POST /openwowi/v1.2/CommissioningEdit/InsuranceContract?apiKey=text HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 183

{
  "IdNum": "text",
  "NodeId": 1,
  "Code": "text",
  "InsurerId": 1,
  "ValidFrom": "2025-10-20",
  "ValidTo": "2025-10-20",
  "AssignedCommissioningInsuranceDamageDivisions": [
    1
  ],
  "AssignedEconomicUnits": [
    1
  ]
}
{
  "Id": 1,
  "IdNum": "text"
}

put
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Pfadparameter
idinteger · int32Erforderlich
Abfrageparameter
apiKeystringErforderlich
Body
IdNumstring · nullableOptional
Codestring · nullableOptional
InsurerIdinteger · int32Optional
ValidFromstring · dateOptionalExample: 2025-10-20Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
ValidTostring · date · nullableOptionalExample: 2025-10-20Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
AssignedCommissioningInsuranceDamageDivisionsinteger · int32[] · nullableOptional
AssignedEconomicUnitsinteger · int32[] · nullableOptional
Antworten
200

OK

Idinteger · int32Optional
IdNumstring · nullableOptional
put/openwowi/v1.2/CommissioningEdit/InsuranceContract/{id}
PUT /openwowi/v1.2/CommissioningEdit/InsuranceContract/{id}?apiKey=text HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 172

{
  "IdNum": "text",
  "Code": "text",
  "InsurerId": 1,
  "ValidFrom": "2025-10-20",
  "ValidTo": "2025-10-20",
  "AssignedCommissioningInsuranceDamageDivisions": [
    1
  ],
  "AssignedEconomicUnits": [
    1
  ]
}
{
  "Id": 1,
  "IdNum": "text"
}

Versicherungsunternehmen lesen

Die Anlage neuer Versicherungsunternehmen muss in WOWIPORT erfolgen.

Version 1.2


get
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Abfrageparameter
apiKeystringOptional
limitinteger · int32OptionalExample: 20
offsetinteger · int32Optional
companyCodeIdinteger · int32Optional
managementIdinteger · int32Optional
creditorIdinteger · int32Optional
creditorNumberstringOptional
insurerIdinteger · int32Optional
personIdinteger · int32Optional
includeMainCommunicationbooleanOptionalDefault: false
includePersonAddressesbooleanOptionalDefault: false
includePersonCommunicationsbooleanOptionalDefault: false
includePersonBankAccountsbooleanOptionalDefault: false
includeInsurerAccessibilitybooleanOptionalDefault: false
showNullValuesbooleanOptionalDefault: false
Antworten
200

OK

Idinteger · int32Optional
CreditorIdinteger · int32Optional
CreditorNumberstring · nullableOptional
PersonIdinteger · int32Optional
AccessibilityIdinteger · int32 · nullableOptional
BankAccountIdinteger · int32 · nullableOptional
InsurerAccessibilityListobject · Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.InsurerAccessibilityDto[] · nullableOptional
get/openwowi/v1.2/CommissioningRead/Insurer
GET /openwowi/v1.2/CommissioningRead/Insurer HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "Id": 1,
    "CreditorId": 1,
    "CreditorNumber": "text",
    "PersonId": 1,
    "Person": {
      "Id": 1,
      "IdNum": "text",
      "Shortname": "text",
      "Name": "text",
      "NodeId": 1,
      "TaxNumber": "text",
      "TaxIdentificationNumber": "text",
      "ValidFrom": "2025-10-20",
      "ValidTo": "2025-10-20",
      "IsNaturalPerson": true,
      "NaturalPerson": {
        "Title": "text",
        "FirstName": "text",
        "LastName": "text",
        "BirthName": "text",
        "CareOf": "text",
        "BirthDate": "2025-10-20",
        "DeathDate": "2026-01-01T00:00:00.000Z",
        "Gender": {
          "Id": 1,
          "Name": "text"
        },
        "MaritalType": {
          "Id": 1,
          "Name": "text"
        },
        "Nationality": {
          "Id": 1,
          "Name": "text",
          "Code": "text"
        },
        "PersonInCare": {
          "Id": 1,
          "IdNum": "text"
        },
        "ContactFor": [
          {
            "Id": 1,
            "IdNum": "text",
            "LongName1": "text",
            "LongName2": "text"
          }
        ]
      },
      "LegalPerson": {
        "LongName1": "text",
        "LongName2": "text",
        "VatId": "text",
        "CommercialRegisterNumber": "text",
        "CommercialRegisterTown": "text",
        "ContractPersons": [
          {
            "Id": 1,
            "IdNum": "text",
            "FirstName": "text",
            "LastName": "text"
          }
        ]
      },
      "Addresses": [
        {
          "Id": 1,
          "Zip": "text",
          "Town": "text",
          "Street": "text",
          "HouseNumber": "text",
          "HouseNumberAddition": "text",
          "ValidFrom": "2025-10-20",
          "ValidTo": "2025-10-20",
          "StreetComplete": "text",
          "HouseNumberComplete": "text",
          "MainAddress": true,
          "AddressType": {
            "Id": 1,
            "Name": "text"
          },
          "Country": {
            "Id": 1,
            "Name": "text",
            "Code": "text"
          }
        }
      ],
      "Communications": [
        {
          "Id": 1,
          "RelatedAddressId": 1,
          "Content": "text",
          "Explanation": "text",
          "RelatedAddress": "text",
          "CommunicationType": {
            "Id": 1,
            "Name": "text"
          }
        }
      ],
      "BankAccounts": [
        {
          "Id": 1,
          "Iban": "text",
          "Bic": "text",
          "AccountHolder": "text",
          "ValidFrom": "2025-10-20",
          "ValidTo": "2025-10-20",
          "BankAccountType": {
            "Id": 1,
            "Code": "text"
          },
          "BankAccountId": 1,
          "BankAccountUsageType": {
            "Id": 1,
            "Code": "text"
          }
        }
      ],
      "FirstEmailCommunication": {
        "Id": 1,
        "RelatedAddressId": 1,
        "Content": "text",
        "Explanation": "text",
        "RelatedAddress": "text",
        "CommunicationType": {
          "Id": 1,
          "Name": "text"
        }
      },
      "FirstLandlinePhoneCommunication": {
        "Id": 1,
        "RelatedAddressId": 1,
        "Content": "text",
        "Explanation": "text",
        "RelatedAddress": "text",
        "CommunicationType": {
          "Id": 1,
          "Name": "text"
        }
      },
      "FirstMobilePhoneCommunication": {
        "Id": 1,
        "RelatedAddressId": 1,
        "Content": "text",
        "Explanation": "text",
        "RelatedAddress": "text",
        "CommunicationType": {
          "Id": 1,
          "Name": "text"
        }
      }
    },
    "DefaultAddress": {
      "Id": 1,
      "Zip": "text",
      "Town": "text",
      "Street": "text",
      "HouseNumber": "text",
      "HouseNumberAddition": "text",
      "ValidFrom": "2025-10-20",
      "ValidTo": "2025-10-20",
      "StreetComplete": "text",
      "HouseNumberComplete": "text",
      "MainAddress": true,
      "AddressType": {
        "Id": 1,
        "Name": "text"
      },
      "Country": {
        "Id": 1,
        "Name": "text",
        "Code": "text"
      }
    },
    "DefaultBankaccount": {
      "Id": 1,
      "Iban": "text",
      "Bic": "text",
      "AccountHolder": "text",
      "ValidFrom": "2025-10-20",
      "ValidTo": "2025-10-20",
      "BankAccountType": {
        "Id": 1,
        "Code": "text"
      },
      "BankAccountId": 1,
      "BankAccountUsageType": {
        "Id": 1,
        "Code": "text"
      }
    },
    "AccessibilityId": 1,
    "BankAccountId": 1,
    "InsurerAccessibilityList": [
      {}
    ]
  }
]


Schadenssparte anlegen/ ändern/ löschen

Version 1.2


post
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Abfrageparameter
apiKeystringErforderlich
Body
IdNumstring · nullableOptional
Codestring · nullableOptional
ExternalIdentificationNumberstring · nullableOptional
NodeIdinteger · int32Optional
Antworten
201

Created

Idinteger · int32Optional
IdNumstring · nullableOptional
post/openwowi/v1.2/CommissioningEdit/DamageDivision
POST /openwowi/v1.2/CommissioningEdit/DamageDivision?apiKey=text HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 79

{
  "IdNum": "text",
  "Code": "text",
  "ExternalIdentificationNumber": "text",
  "NodeId": 1
}
{
  "Id": 1,
  "IdNum": "text"
}

put
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Pfadparameter
idinteger · int32Erforderlich
Abfrageparameter
apiKeystringErforderlich
Body
IdNumstring · nullableOptional
Codestring · nullableOptional
ExternalIdentificationNumberstring · nullableOptional
NodeIdinteger · int32Optional
Antworten
200

OK

Idinteger · int32Optional
IdNumstring · nullableOptional
put/openwowi/v1.2/CommissioningEdit/DamageDivision/{id}
PUT /openwowi/v1.2/CommissioningEdit/DamageDivision/{id}?apiKey=text HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 79

{
  "IdNum": "text",
  "Code": "text",
  "ExternalIdentificationNumber": "text",
  "NodeId": 1
}
{
  "Id": 1,
  "IdNum": "text"
}

delete
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Pfadparameter
damageDivisionIdinteger · int32Erforderlich
Abfrageparameter
apiKeystringErforderlich
Antworten
200

OK

Idinteger · int32Optional
IdNumstring · nullableOptional
delete/openwowi/v1.2/CommissioningEdit/DamageDivision/{damageDivisionId}
DELETE /openwowi/v1.2/CommissioningEdit/DamageDivision/{damageDivisionId}?apiKey=text HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "Id": 1,
  "IdNum": "text"
}

Schadensursache anlegen/ ändern

Version 1.2


post
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Abfrageparameter
apiKeystringErforderlich
Body
IdNumstring · nullableOptional
DamageDivisionIdinteger · int32Optional
ExternalIdentificationNumberstring · nullableOptional
Codestring · nullableOptional
Antworten
201

Created

Idinteger · int32Optional
IdNumstring · nullableOptional
post/openwowi/v1.2/CommissioningEdit/DamageCause
POST /openwowi/v1.2/CommissioningEdit/DamageCause?apiKey=text HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 89

{
  "IdNum": "text",
  "DamageDivisionId": 1,
  "ExternalIdentificationNumber": "text",
  "Code": "text"
}
{
  "Id": 1,
  "IdNum": "text"
}

put
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Pfadparameter
idinteger · int32Erforderlich
Abfrageparameter
apiKeystringErforderlich
Body
IdNumstring · nullableOptional
DamageDivisionIdinteger · int32Optional
ExternalIdentificationNumberstring · nullableOptional
Codestring · nullableOptional
Antworten
200

OK

Idinteger · int32Optional
IdNumstring · nullableOptional
put/openwowi/v1.2/CommissioningEdit/DamageCause/{id}
PUT /openwowi/v1.2/CommissioningEdit/DamageCause/{id}?apiKey=text HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 89

{
  "IdNum": "text",
  "DamageDivisionId": 1,
  "ExternalIdentificationNumber": "text",
  "Code": "text"
}
{
  "Id": 1,
  "IdNum": "text"
}

Zuletzt aktualisiert